Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1911306

Summary: rust-rust_decimal-1.10.2 is available
Product: [Fedora] Fedora Reporter: Upstream Release Monitoring <upstream-release-monitoring>
Component: rust-rust_decimalAssignee: Rust SIG <rust-sig>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: decathorpe, igor.raits, rust-sig
Target Milestone: ---Keywords: FutureFeature, Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: rust-rust_decimal-1.10.2-1.fc34 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-07 13:15:03 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Upstream Release Monitoring 2020-12-28 17:00:59 UTC
Latest upstream release: 1.9.0
Current version/release in rawhide: 1.8.1-2.fc34
URL: https://crates.io/crates/rust_decimal

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/52816/

Comment 1 Fabio Valentini 2021-01-04 13:27:04 UTC
Version 1.9.0 depends on the "transitional" tokio 0.3 crates. We should probably wait until rust_decimal requires tokio 1.0 instead of creating compat packages for tokio 0.3.

Comment 2 Upstream Release Monitoring 2021-01-21 01:36:10 UTC
Latest upstream release: 1.10.0
Current version/release in rawhide: 1.8.1-2.fc34
URL: https://crates.io/crates/rust_decimal

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/52816/

Comment 3 Upstream Release Monitoring 2021-01-23 17:24:07 UTC
Latest upstream release: 1.10.1
Current version/release in rawhide: 1.8.1-2.fc34
URL: https://crates.io/crates/rust_decimal

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/52816/

Comment 4 Upstream Release Monitoring 2021-02-05 21:26:47 UTC
Latest upstream release: 1.10.2
Current version/release in rawhide: 1.8.1-3.fc34
URL: https://crates.io/crates/rust_decimal

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/52816/

Comment 5 Fedora Update System 2021-02-07 13:15:03 UTC
FEDORA-2021-17280aa8ad has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.